main{
	display: flex;
	flex-direction: column;
	align-items: center;
}
input{
	height: 30px;
}
#list .header{
	padding: 10px 20px;
	background-color: rgba(250,140,0,0.8);
	color: white;
	width: 100%;
	display: flex;
	justify-content: flex-start;
	position: relative;
}
.buttons{
	display: flex;
}
.buttons button{
	margin: 0px 5px 2px 0px;
	font-weight: bold;
	color: #333;
	cursor: pointer;
	background-color: #ddd;
	transition: all 0.3s ease;
	width: 150px;
	padding: 4px 2px;
	min-height: 40px;	
	display: none;
}
.buttons button[disabled="disabled"]{
	cursor: not-allowed;
	color: #666;
}
#remove{ background-color: #f99; width: 100px; }
#set_received{ background-color: #bbb; }
#set_transfered, #set_transfered_back{ background-color: #fb7; }
#set_checked{ background-color: #9f9; }

.results-legend{
	/*border: 1px solid red;*/
	flex-grow: 1;
	margin-left: 8px;
	font-weight: normal;
	padding-left: 1%;
	height: 100%;
	display: flex;
	align-items: center;
	color: #ffffff;
}
.results-legend div{
	margin: auto 0;
}
.buttons button:hover{
	background-color: #fff;
}
.header .filters-button{
	position: absolute;
	top: 0px;
	right: 30px;
	border-radius: 0px 0px 8px 8px;
	cursor: pointer;
	height: 24px;
	padding: 0px 16px;
	background-color: rgba(220,220,255,1);
	box-shadow: 2px 2px 5px -1px #888; 
	transition: all 0.3s ease;
	font-weight: bold;
}		
.header .filters-button:hover{
	box-shadow: 2px 2px 5px 2px #888; 
}
#list #filters{
	box-shadow: 0px -3px 5px rgba(140,140,140,0.8) inset, 0px 3px 5px rgba(140,140,140,0.8) inset; 
	width: 100%;
	background-image: linear-gradient(160deg, rgba(0,0,0,0), rgba(0,0,0,0.1));
	padding: 20px 20px 24px 20px;
	transition: all .3s ease;
	overflow: hidden;
	display: none;
}
#list #filters.show{
	height: 100%;
}
#list #filters .line{
	display: flex;
	justify-content: flex-start;
	margin-bottom: 10px;
	align-items: flex-end;
}
#list #filters .line.advanced{
	/*display: none;*/
	/*justify-content: space-around;*/
}
#list #filters .filter{
	text-align: center;
	margin-right: 20px;
	padding: 2px;
	padding-right: 20px;
	font-size: 12px;
	color: #444;
}
#list #filters .filter.contributor input{
	width: 256px;
}
#list #filters .filter.amount input{
	text-align: center;
}
#list #filters .filter.contributor .title{
	margin-bottom: 10px;
}
#list #filters .filter .title{
	font-size: 14px;
	color: #666;
	margin-bottom: 2px;
}
#list #filters .filter .range-container{
	display:flex;
}
#list #filters .filter .range-container > div{
	margin-right: 10px;
}
#list #filters .filter label{
	display: block;
	margin-bottom: 2px;
}
#list #filters input, #list #filters select{
	background-color: #f8f8f8;
	box-shadow: 1px 1px 3px #ddd;
}
#list #filters button{
	padding: 5px;
	background-color: #2196f3;
	color: white;
	margin-top: 10px;
	margin-left: 10px;
	width: 200px;
}
#list #filters .advanced-filters-link{
	display: none;
	margin-left: 10px;
	text-decoration: underline;
	color: blue;
	font-weight:normal;
	font-size: 14px;
}
.receptionDate input, .transferenceDate input, .period input, .amount input{
	width: 120px;
}																									
#contributions{
	width: 100%;
}
#contributions .elements-header{
	padding: 4px 0 2px 0;	
	font-size: 12px;
	color: #fff;
	background-color: rgba(250,140,0,1);
	text-decoration: underline;
}
#contributions .elements-header span{
	cursor: pointer;
}
#contributions .elements-header .checkbox{
	display: table-cell;
	vertical-align: middle;
}
#contributions .elements-header .checkbox input{
	height: 5px;
	margin-top: 0px;
}
#contributions .element{
	display: flex;
	min-height: 32px;
	align-items: center;
	flex-wrap: nowrap;
	width: 100%
	box-sizing: border-box;
	border-bottom: 1px solid #008cb6;
	color: #449;
}
#contributions .elements-header{
	display: flex;
	justify-content: space-between;
}
#contributions .elements-header > div{
	height:20px;
}
#contributions .element > div{
	/*margin-right: 10px;*/
}
#contributions .element .amount::before{
	content: "$ ";
}
#contributions .element .receptionDate, #contributions .element .transferenceDate{ 
	font-weight: normal; 
	/*text-align: center;*/
}
#contributions .element .status{
	border-radius: 4px;
	padding: 2px 4px;
	color: white;
	width: 120px;
	text-align: center;
}
#contributions .element .status.received, .filter.status select option.received{ background-color: #555; }
#contributions .element .status.transfered, .filter.status select option.transfered{ background-color: #fa0; }
#contributions .element .status.checked, .filter.status select option.checked{ background-color: #0a0; }
#selected-filters{
	width: 100%;
	display: flex;
	justify-content: flex-start;
	flex-wrap: wrap;
	margin-top: -3px;
	padding-left: 3px;
}
#selected-filters .filter{
	background-color: #fff;
	font-size: 14px;
	padding: 10px;
	box-shadow: 2px 2px 5px #444;
	margin-right: 3px;
	margin-top: 3px;
}
#selected-filters span.close{
	padding: 0 6px;
	cursor: pointer;
	background-image: url('/assets/images/close.png');
	background-size: 16px;
	background-repeat: no-repeat;
}
#remove-confirmation-modal{
	position: fixed;
	top: 0px;
	width: 100%;
	height: 100%;
	background-color: rgba(0,0,0,0.5);
	display: flex;
	justify-content: center;
	align-items: center;
	z-index: 100;
	font-size: 20px;
	display: none;
	font-weight: normal;
}
#remove-confirmation-modal .panel{
	padding: 40px;
	max-width: 400px;
	background-color: #f99;
	border-radius: 10px;
	text-align: center;
}
#remove-confirmation-modal .panel .legend{
	margin-bottom: 20px;
}
#remove-confirmation-modal .panel button{
	width: 60px;
	height: 40px;
	box-shadow: none;
	font-weight: bold;
	color: #00f;
	width: 45%;
}
#remove-confirmation-modal .panel button.yes{
	border: 3px dashed #ccf;
}
.ajax-loader{
	display: none;
	padding: 40px;
}
*{
	/*background-color: #fff!important;*/
	/*color: #000!important;*/
	/*color: rgba(0,0,0,0)!important;*/
	/*text-shadow: none!important;*/
}
